﻿using System;
using System.Collections.Generic;

namespace MvcApplication.Models
{
    public class InMemoryArticleRepository : IArticleRepository
    {
        static List<Article> articles = new List<Article>();
        
        public IEnumerable<Article> GetArticles()
        {
            return articles;
        }

        public void Persist(Article article)
        {
            articles.Add(article);
        }
    }
}
