﻿using System;

namespace MvcApplication.Models
{
    public class Article
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public string Body { get; set; }

        //Probably could be in another class such as ArticleValidator
        public bool IsValid
        {
            get
            {
                return !String.IsNullOrEmpty(Title) && !String.IsNullOrEmpty(Body);
            }
        }
    }
}
