﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using HaackMvcHelpers;
using MvcApplication.Models;

namespace MvcApplicationTest
{
    [TestClass]
    public class ObjectToDictionaryConversion
    {
        [TestMethod]
        public void CanConvertObjectToDictionary()
        { 
            Article article = new Article() {Id = 123, Title="Foo Bar is a Bazzy Quux", Body="Kickin'"};
            var dictionary = article.ToDictionary();
            Assert.AreEqual(dictionary["Id"], 123);
            Assert.AreEqual(dictionary["Title"], "Foo Bar is a Bazzy Quux");
            Assert.AreEqual(dictionary["Body"], "Kickin'");
        }
    }
}
